Package it.ernytech.tdlib

## Class TdApi.Venue

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Venue

Enclosing class:
  TdApi

    public static class TdApi.Venue
    extends TdApi.Object

Describes a venue.

### Field Summary

Fields
`java.lang.String` `address` Venue address; as defined by the sender.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `id` Identifier of the venue in the provider database; as defined by the sender.
`TdApi.Location` `location` Venue location; as defined by the sender.
`java.lang.String` `provider` Provider of the venue database; as defined by the sender.
`java.lang.String` `title` Venue name; as defined by the sender.

### Constructor Summary

Constructors
`Venue()` Default constructor.
`Venue​(TdApi.Location location, java.lang.String title, java.lang.String address, java.lang.String provider, java.lang.String id)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### location

    public TdApi.Location location

Venue location; as defined by the sender.

#### title

    public java.lang.String title

Venue name; as defined by the sender.

#### address

    public java.lang.String address

Venue address; as defined by the sender.

#### provider

    public java.lang.String provider

Provider of the venue database; as defined by the sender. Currently only "foursquare" needs to be supported.

#### id

    public java.lang.String id

Identifier of the venue in the provider database; as defined by the sender.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Venue

    public Venue()

Default constructor.

#### Venue

    public Venue​(TdApi.Location location,
                 java.lang.String title,
                 java.lang.String address,
                 java.lang.String provider,
                 java.lang.String id)

Constructor for initialization of all fields.

Parameters:
  `location` - Venue location; as defined by the sender.
  `title` - Venue name; as defined by the sender.
  `address` - Venue address; as defined by the sender.
  `provider` - Provider of the venue database; as defined by the sender. Currently only "foursquare" needs to be supported.
  `id` - Identifier of the venue in the provider database; as defined by the sender.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR